:root {
    --bg-dark: #030303;
    --bg-gold: #D2B183;
    --dark-red: #710707;
    --font-gold: #9D8665;
    --span-gold: #CAAA7D;
    --font-white: #FFFFFF;
    --font-black: #000000;
    --light-grey: #B3B3B3;
    --dark-grey: #999999;
    --unvisited: #333333;
    --hr: #666666;
    --active: #7E6C51;
}

@font-face {
    font-family: "Forum";
    src: url(/fonts/Forum-Regular.woff2) format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Roboto";
    src: url(/fonts/Roboto-Thin.woff2) format("woff2");
    font-style: normal;
    font-weight: 100;
    font-display: swap;
}

@font-face {
    font-family: "Roboto";
    src: url(/fonts/Roboto-Regular.woff2) format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

html {
    scroll-behavior: smooth;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6, p, button {
    margin: 0;
    padding: 0;
}

body {
    font-family: "Roboto", "Arial", sans-serif;
    background-color: var(--font-white);
    padding: 0;
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

a {
    display: block;
    text-decoration: none;
    cursor: pointer;
}

li, p {
    padding: 0;
    margin: 0;
}

.visually-hidden { /* Универсальный класс для скрытия блоков */
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
    clip: rect(0 0 0 0);
    overflow: hidden;
}

.container {
    max-width: 1480px;
    padding: 0 20px;
    margin: 0 auto;
}

.link-hover:hover {
    color: var(--font-gold);
}

.link-active:active {
    color: var(--active);
}

.button-hover:hover {
    background-color: var(--font-gold);
}

/* Header start */

.header {
    background-color: var(--bg-dark);
}

.header__nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__logo {
    padding: 60px 0;
}

.header__list {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__item:not(:last-child) {
    margin-right: 55px;
}

.header__link {
    text-decoration: none;
    color: var(--font-white);
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 100;
    font-size: 22px;
    line-height: auto;
    letter-spacing: 2px;
    transition: 0.2s linear;
}

.burger {
    display: none;
    background-color: none;
    border: none;
    cursor: pointer;
}

.burger__item {
    display: block;
    width: 32px;
    height: 2px;
    background-color: var(--font-white);
    font-size: 0;
    color: transparent;
    position: relative;
}

.burger__item:before,
.burger__item:after {
    content: "";
    width: 100%;
    height: 100%;
    background-color: var(--font-white);
    position: absolute;
    left: 0;
    z-index: 1;
}

.burger__item:before {
    top: -10px;
}

.burger__item:after {
    bottom: -10px;
}

@media (max-width: 1440px) {

    .header__item:not(:last-child) {
        margin-right: 35px;
    }
}

@media (max-width: 1024px) {

    .header__list {
        display: none;
    }

    .burger {
        display: block;
    }

}

/* Header end */

/* Main start */

.main {
    margin-top: -1px;
    width: 100%;
    flex-grow: 1;
}

.title {
    font-family: "Forum", "Times New Roman", serif;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 80px;
    line-height: 90px;
    letter-spacing: 5px;
    color: var(--font-white);
    padding-top: 75px;
    padding-bottom: 25px;
}

.title--accent {
    color: var(--font-gold);
}

.title--bottom-red {
    border-bottom: 3px solid var(--dark-red);
    margin-bottom: 75px;
}

@media (max-width: 1440) {

    .title {
        padding-bottom: 20px;
    }

    .title--bottom-red {
        margin-bottom: 60px;
    }
}

.button {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
    line-height: auto;
    letter-spacing: 2px;
    color: var(--font-white);
    border: none;
    cursor: pointer;
    transition: 0.2s linear;
}

/* Content start */

.content {
    background-color: var(--bg-dark);
}

.content__wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 60px;
    overflow: hidden;
}

.content__info {
    position: absolute;
    z-index: 1;
}

.content__text {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 28px;
    line-height: auto;
    letter-spacing: 2px;
    color: var(--font-white);
    padding-bottom: 75px;
}

.content__button {
    background-color: var(--dark-red);
    padding: 25px 64px;
    border-radius: 10px;
}

.content__image {
    position: relative;
    left: 30%;
}

@media (max-width: 1920px) {

    .main__title {
        font-size: 70px;
        line-height: 80px;
        letter-spacing: 5px;
    }

    .title-secondary {
        font-size: 50px;
        line-height: 75px;
    }

    .content__image {
        left: 30%;
    }
}

@media (max-width: 1440px) {

    .main__title {
        font-size: 50px;
        line-height: 70px;
        letter-spacing: 5px;
    }

    .title-secondary {
        font-size: 50px;
        line-height: 75px;
    }

    .content__image {
        left: 51%;
    }
}

@media (max-width: 1024px) {

    .main__title {
        font-size: 40px;
        line-height: 60px;
    }

    .title-secondary {
        font-size: 50px;
        line-height: 75px;
    }
}

@media (max-width: 768px) {

    .main__title {
        font-size: 28px;
        line-height: 40px;
    }

    .title-secondary {
        font-size: 40px;
        line-height: 60px;
    }
}

@media (max-width: 420px) {

    .main__title {
        font-size: 30px;
        line-height: 40px;
    }

    .title-secondary {
        font-size: 20px;
        line-height: 35px;
    }
}

.content-img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* Content end */

/* Tours start */

.tours {
    background-color: var(--font-white);
}

.tours__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 75px 60px;
    margin-bottom: 75px;
}

.tours__link {
    background-color: var(--bg-gold);
    margin-bottom: 25px;
}

.tours__img {
    display: block;
}

.tours__title {
    margin-bottom: 10px;
    font-family: "Forum", "Times New Roman", serif;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 32px;
    line-height: auto;
    letter-spacing: 5px;
    color: var(--font-black);
}

.tours__title-red {
    border: 2px solid var(--dark-red);
    margin: 0 0 10px;
    width: 300px;
}

.tours__virtual {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 100;
    font-size: 22px;
    line-height: auto;
    letter-spacing: 0;
    color: var(--font-black);
    margin-bottom: 10px;
}

.tours__virtual:last-child {
    margin-bottom: 0;
}


@media (max-width: 1920px) {

    .tours__list {
        grid-template-columns: repeat(2, 1fr);
        gap: 60px 108px;
        place-content: center;
        place-items: center;
    }

    .tours__title {
        font-size: 28px;
        letter-spacing: 3px;
    }

    .tours__title-red {
        width: 150px;
    }

    .tours__virtual {
        font-size: 20px;
    }
}

@media (max-width: 1024px) {

    .tours__list {
        grid-template-columns: repeat(2, 1fr);
        place-content: center;
        place-items: center;
        gap: 40px 56px;
    }

    .tours__img {
        width: 100%;
    }

    .tours__title {
        font-size: 22px;
        letter-spacing: 3px;
    }

    .tours__title-red {
        width: 150px;
    }
}

@media (max-width: 768px) {

    .tours__list {
        grid-template-columns: repeat(1, 1fr);
        place-content: center;
        place-items: center;
        gap: 40px 56px;
    }

    .tours__img {
        width: 100%;
    }

    .tours__title {
        font-size: 18px;
        letter-spacing: 5px;
    }

    .tours__title-red {
        width: 150px;
    }
}

@media (max-width: 420px) {

    .tours__img {
        width: 100%;
    }
}

/* Tours end */

/* Explore start */

.explore {
    background-color: var(--bg-dark);
}

.explore__wrapper {
    padding: 75px 0;
    display: flex;
    justify-content: space-between;
}

.explore__info {
    width: 50%;
    margin-right: 60px;
}

.explore__title {
    padding: 0 0 25px;
}

.explore__text {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
    line-height: 40px;
    color: var(--font-white);
    margin-bottom: 30px;
}

.explore__text:nth-child(3) {
    margin-bottom: 20px;
}

.explore__text-gold {
    color: var(--span-gold);
}

.explore__picture {
    position: relative;
    width: 720px;
    height: 700px;/* Фиксированная ширина контейнера */
    overflow: hidden;
}

.image-after img,
.image-before img {
    width: 720px;  /* ОБЯЗАТЕЛЬНО: ширина картинки равна ширине контейнера */
    height: 700px;
    object-fit: cover;
    display: block;
}

.image-before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 1;
}

.image-after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

@media (max-width: 1440px) {

    .explore__wrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .explore__info {
        width: 100%;
        margin-bottom: 62px;
    }

    .explore__text:last-child {
        display: none;
    }

    .explore__text{
        width: 80%;
        margin-bottom: 0;
    }

    .explore__picture {
        margin: 0 auto;
    }
}

@media (max-width: 1024px) {

    .explore__wrapper {
        display: flex;
        flex-direction: column;
    }

    .explore__info {
        width: 100%;
        margin-bottom: 0;
    }

    .explore__text {
        display: none;
    }

    .explore__picture {
        display: flex;
        justify-content: center;
    }
}

@media (max-width: 768px) {

    .explore__picture {
        width: 100%;
    }
}

  /* Вертикальная линия */
  .handle {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 5px;
    background-color: var(--font-white);
    z-index: 2;
    pointer-events: none; /* Пропускает клики к input */
}

  /* Круглая кнопка */
  .handle-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 45px;
    height: 45px;
    background-color: var(--font-white);
    border-radius: 50%;
    border: 5px solid var(--font-white);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    color: var(--bg-dark);
}

  /* Стилизация невидимого ползунка */
  .slider-input {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: ew-resize;
    z-index: 3;
}

/* Explore end */

/* Video start */

.video__description {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 75px;
}

.video__text {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
    line-height: 40px;
    color: var(--font-black);
    padding-top: 50px;
    width: 50%;
}

.video__wrapper {
    margin-bottom: 40px;
    overflow: hidden;
}

.video__main {
    display: block;
    overflow: hidden;
}

@media (max-width: 1024px) {

    .video__text {
        display: none;
    }
}

/* Video end */

/* Gallery start */

.gallery {
    background-color: var(--bg-dark);
    position: relative;
}

.gallery__wrapper {
    padding-top: 50px;
    display: flex;
    justify-content: space-between;
    gap: 36px;
}

.gallery__first,
.gallery__third {
    padding-top: 50px;
}

.gallery__item {
    padding-bottom: 24px;
}

.gallery__image {
    display: block;
}

.gallery__gredient {
    position: absolute;
    bottom: 0;
}

.gallery__gredient-image {
    max-width: 100%;
}

@media (max-width: 1920px) {

    .gallery__wrapper {
        gap: 24px;
    }
}

@media (max-width: 1440px) {

    .gallery__wrapper {
        gap: 24px;
    }
}

@media (max-width: 1024px) {

    .gallery__wrapper {
        justify-content: center;
    }

    .gallery__third {
        display: none;
    }

    .gallery__gredient {
        display: none;
    }
}

@media (max-width: 768px) {

    .gallery__third {
        display: none;
    }
}

@media (max-width: 420px) {

    .gallery__third {
        display: none;
    }
}

/* Gallery end */

/* Tickets start */

.tickets__wrapper {
    display: flex;
    justify-content: space-between;
    padding-bottom: 75px;
}

.tickets__picture {
    background-color: var(--bg-dark);
    margin-right: 60px;
}

.tickets__image {
    display: block;
}

.tickets__block {
    display: flex;
    justify-content: space-between;
    width: 50%;
}

.tickets__fieldset {
    margin: 0;
    padding: 0;
    border: none;
}

.tickets__title {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 700;
    font-size: 28px;
    color: var(--font-black);
    margin-bottom: 50px;
    padding: 0;
}

.tickets__title-amount {
    text-align: right;
    margin-bottom: 25px;
}

.tickets__item {
    margin-bottom: 25px;
}

.tickets__control {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
    color: var(--font-black);
    cursor: pointer;
    display: flex;
    align-items: center;
}

.tickets__control-input {
    margin: 0 23px 0 0;
    -webkit-appearance: none;
    appearance: none;
    border: 2px solid var(--font-black);
    position: relative;
    border-radius: 50%;
    background-color: var(--font-white);
    width: 20px;
    height: 20px;
    transition: 0.2s linear;
}

.tickets__control-input::after {
    content: "";
    position: absolute;
    left: 5px;
    top: 5px;
    width: 0;
    height: 0;
    background-image: url("images/add-elements/radio.svg");
    background-repeat: no-repeat;
    transition: 0.2s linear;
}

.tickets__control-input:checked::after {
    width: 20px;
    height: 20px;
    transition: 0.2s linear;
}

.tickets__group {
    display: flex;
    flex-direction: column;
    align-items: end;
    padding-bottom: 10px;
}

.tickets__group--bottom {
    padding-bottom: 50px;
}

.tickets__info {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
    color: var(--font-black);
    padding-bottom: 15px;
}

/* Скрываем стандартные стрелки в Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Скрываем стрелки в Firefox */
input[type=number] {
    appearance: textfield;
}

.tickets__quantity {
    display: flex;
    border: 3px solid var(--font-black);
    width: fit-content;
}

.tickets__quantity input {
    width: 50px;
    text-align: center;
    border: none;
    outline: none;
    padding: 0;
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-size: 22px;
}

#basic-minus,
#senior-minus {
    background-image: url("images/add-elements/minus.svg");
    background-repeat: no-repeat;
    background-position: center;
}

#basic-plus,
#senior-plus {
    background-image: url("images/add-elements/plus.svg");
    background-repeat: no-repeat;
    background-position: center;
}

.tickets__quantity button {
    border: none;
    background-color: transparent;
    width: 50px;
    padding: 25px 15px;
    cursor: pointer;
    font-weight: 300;
}

.tickets__count {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 700;
    font-size: 28px;
    line-height: 1.7px;
    margin-bottom: 60px;
    text-align: right;
}

.tickets__button {
    padding: 15px 38px;
    border-radius: 2px;
    background-color: var(--font-black);
}

.tickets__pic {
    display: block;
    width: 100%;
    object-fit: cover;
}

@media (max-width: 1440px) {

    .tickets__fieldset-type {
        display: none;
    }

    .tickets__group {
        align-items: start;
    }

    .tickets__title-amount,
    .tickets__count {
        text-align: left;
    }
}

@media (max-width: 1024px) {

    .tickets__picture {
        height: 100%;
    }
}

@media (max-width: 768px) {

    .tickets__wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .tickets__picture {
        margin: 0 auto;
        margin-bottom: 40px;
    }

    .tickets__image {
        width: 100%;
        object-fit: cover;
    }

    .tickets__fieldset-amount {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .tickets__title-amount {
        text-align: center;
    }

}

/* Tickets end */

/* Contacts start */

.contacts__wrapper {
    display: flex;
    justify-content: space-between;
    padding-bottom: 75px;
}

.contacts__info {
    margin-right: 16px;
}

.contacts__title {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 500;
    font-size: 28px;
    padding-bottom: 50px;
}

.contacts__address {
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: 22px;
}

.contacts__text:not(:last-child) {
    padding-bottom: 25px;
}

.contacts__img {
    display: block;
    object-fit: cover;
}

@media (max-width: 1024px) {

    .contacts__wrapper {
        flex-direction: column;
    }

    .contacts__info {
        padding-bottom: 40px;
    }

    .contacts__title {
        padding-bottom: 40px;
    }

    .contacts__img {
        width: 100%;
    }
}

/* Contacts end */

/* Main end */

/* Footer start */

.footer {
    background-color: var(--bg-dark);
    margin-top: -1px;
}

.footer__nav {
    display: flex;
    justify-content: space-between;
    padding-top: 75px;
}

.footer__navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: -250px;
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: 100;
    font-size: 22px;
    letter-spacing: 2px;
    padding-bottom: 25px;
}

.footer__list {
    display: flex;
    flex-direction: column;
}

.footer__list:not(:last-child) {
    margin-right: 150px;
}

.footer__link {
    color: var(--font-white);
    margin-bottom: 25px;
    cursor: pointer;
    transition: 0.2s linear;
}

.footer__social {
    display: flex;
    align-items: end;
    padding-bottom: 55px;
}

.footer__social-item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid var(--hr);
    margin-right: 25px;
}

.footer__social-item:last-child {
    margin-right: 0;
}

.footer__social-link {
    transition: 0.2s linear;
}

.footer__social-image {
    display: block;
}

.footer__hr {
    margin: 0;
    height: 3px;
    border: none;
    background-color: var(--hr);
}

.footer__copy {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 50px 0;
}

.footer__text {
    color: var(--font-white);
    font-family: "Roboto", "Arial", sans-serif;
    font-weight: thin;
    opacity: 0.7;
    font-size: 16px;
    line-height: 16px;
    letter-spacing: 2px;
}

.footer__copy-link {
    color: inherit;
    transition: 0.2s linear;
}

/* Footer end */